import { Meta, Canvas, Controls } from "@storybook/blocks";
import * as ComponentStories from "./teaser-icon.stories";

<Meta of={ComponentStories} name="Docs" />

# Teaser Icon

The standard version of the `ux-iws-teaser-icon` component expects the `icon-name` prop, which defines which icon
to be rendered.
The title, the text content (optional) and the link needs to be inserted respectively in slots
named `title`, `text` and `link`, as shown in the example below.

<Canvas of={ComponentStories.Default}></Canvas>

# Service Icon variant

Use the `variant="service-icon"` attribute to obtain this variant of the teaser

A copy text can also be added in the teaser icon: in order to to this, insert the text
in an `div` HTML element with attribute `slot=text`, as visible in the source code of this example.

<Canvas of={ComponentStories.ServiceIcon}></Canvas>

# Image variant

A copy text can also be added in the teaser icon: in order to to this, insert the text
in an `div` HTML element with attribute `slot=text`, as visible in the source code of this example.

<Canvas of={ComponentStories.Image}></Canvas>

# Plain Variant

<Canvas of={ComponentStories.Plain}></Canvas>

# Disabled

Add the class `is-disabled` to the teaser in order to make the teaser unclickable.

<Canvas of={ComponentStories.Disabled}></Canvas>

## Developer Documentation

<Controls />
